import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Write a description of class Bee here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Bee extends Animals
{
    Counter counter;
    
    public Bee(Counter pointCounter)
    {
        counter = pointCounter;
    }
    public void act()
    {
        backgroundMusic();
        counter();
        moveAndTurn();
        eatApple();
        eatBananas();
    }
    private boolean musicStarted;
    GreenfootSound music = new GreenfootSound("BackgroundMusic.mp3");
    public void backgroundMusic() 
    {
        music.playLoop();
        if (counter.getValue() >=300 ) 
        {
            music.pause();
        }
        if ( ! musicStarted)
        {
            music.playLoop();
            musicStarted = true;
        }
        
    }

    public void counter()
    {
        if (counter.getValue() >=300 ) 
        {
            World world;
            world = getWorld();
            Greenfoot.playSound("au.wav");
            Gameover gameover = new Gameover();
            world.addObject(gameover, world.getWidth()/2, world.getHeight()/2);
            
            Greenfoot.stop();
        }
    }
    public void moveAndTurn() 
    {
        move(4);
        
        if (Greenfoot.isKeyDown("left"))
        {
            turn(-5);
        }
        if (Greenfoot.isKeyDown("right"))
        {
            turn(5);
        }
        if (Greenfoot.isKeyDown("up"))
        {
            move(6);
        }
        if (Greenfoot.isKeyDown("down"))
        {
            move(-8);
        }
    }
    public void eatApple()
    {
        Actor apple;
        apple = getOneObjectAtOffset(0, 0, Apple.class);
        if (apple != null)
        {
            World world;
            world = getWorld();
            world.removeObject(apple);
            counter.add(5);
            Greenfoot.playSound("bite_into_and_chew_apple-[AudioTrimmer.com].mp3");
        }
    }
    public void eatBananas()
    {
        Actor bananas;
        bananas = getOneObjectAtOffset(0, 0, Bananas.class);
        if (bananas != null)
        {
            World world;
            world = getWorld();
            world.removeObject(bananas);
            counter.add(10);
            Greenfoot.playSound("slurp.wav");
        }
    }
}